//------------------------------------------------------------------------------
// Lamp : Open source game middleware
// Copyright (C) 2004  Junpei Ohtani ( Email : junpee@users.sourceforge.jp )
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//------------------------------------------------------------------------------

/** @file
 * 軸沿いボックス距離テスト実装
 * @author Junpee
 */

#include "Test/stdafx.h"
#include "Geometry/Distance/AxisAlignedBoxDistanceTest.h"

//------------------------------------------------------------------------------
// コンストラクタ
AxisAlignedBoxDistanceTest::AxisAlignedBoxDistanceTest(String name) :
	TestCase(name){
}
//------------------------------------------------------------------------------
// テストスィートの取得
Test* AxisAlignedBoxDistanceTest::suite(){
	TestSuite* suite = new TestSuite("AxisAlignedBoxDistanceTest");
	suite->addTest(new TestCaller(AxisAlignedBoxDistanceTest, testPoint));
	suite->addTest(new TestCaller(
		AxisAlignedBoxDistanceTest, testAxisAlignedBox));
	suite->addTest(new TestCaller(AxisAlignedBoxDistanceTest, testCapsule));
	suite->addTest(new TestCaller(AxisAlignedBoxDistanceTest, testCone));
	suite->addTest(new TestCaller(AxisAlignedBoxDistanceTest, testLine));
	suite->addTest(new TestCaller(AxisAlignedBoxDistanceTest, testOrientedBox));
	suite->addTest(new TestCaller(AxisAlignedBoxDistanceTest, testPlane));
	suite->addTest(new TestCaller(AxisAlignedBoxDistanceTest, testRay));
	suite->addTest(new TestCaller(AxisAlignedBoxDistanceTest, testSegment));
	suite->addTest(new TestCaller(AxisAlignedBoxDistanceTest, testSphere));
	suite->addTest(new TestCaller(AxisAlignedBoxDistanceTest, testTriangle));
	return suite;
}
//------------------------------------------------------------------------------
// 点テスト
void AxisAlignedBoxDistanceTest::testPoint(){
}
//------------------------------------------------------------------------------
// 軸沿いボックステスト
void AxisAlignedBoxDistanceTest::testAxisAlignedBox(){
}
//------------------------------------------------------------------------------
// カプセルテスト
void AxisAlignedBoxDistanceTest::testCapsule(){
}
//------------------------------------------------------------------------------
// コーンテスト
void AxisAlignedBoxDistanceTest::testCone(){
}
//------------------------------------------------------------------------------
// ラインテスト
void AxisAlignedBoxDistanceTest::testLine(){
}
//------------------------------------------------------------------------------
// 指向性ボックステスト
void AxisAlignedBoxDistanceTest::testOrientedBox(){
}
//------------------------------------------------------------------------------
// 平面テスト
void AxisAlignedBoxDistanceTest::testPlane(){
}
//------------------------------------------------------------------------------
// レイテスト
void AxisAlignedBoxDistanceTest::testRay(){
}
//------------------------------------------------------------------------------
// セグメントテスト
void AxisAlignedBoxDistanceTest::testSegment(){
}
//------------------------------------------------------------------------------
// 球テスト
void AxisAlignedBoxDistanceTest::testSphere(){
}
//------------------------------------------------------------------------------
// 三角テスト
void AxisAlignedBoxDistanceTest::testTriangle(){
}
//------------------------------------------------------------------------------
